
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#中使用反射遍历一个对象属性及值的小技巧 / iVAN</title>

    <meta name="description" content="C#中使用反射遍历一个对象属性及值的小技巧   这篇文章主要介绍了C#中使用反射遍历一个对象属性及值的小技巧,这在很时候应该都非常有用,本文直接给出实例代码,需要的朋友可以参考下 总结: 对应某个类的实例化的对象tc, 遍历获取所有属性(子成员)的方法(采用反射): 代码如下: Type t = tc.GetType();//获得该类的Type //再用Type.GetProperties获得PropertyInfo[],然后就可以用foreach 遍历了 foreach (PropertyInfo pi in t.GetProperti">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#中使用反射遍历一个对象属性及值的小技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　这篇文章主要介绍了C#中使用反射遍历一个对象属性及值的小技巧,这在很时候应该都非常有用,本文直接给出实例代码,需要的朋友可以参考下</p>
<p>　　总结:</p>
<p>　　对应某个类的实例化的对象tc, 遍历获取所有属性(子成员)的方法(采用反射):</p>
<p>　　 代码如下:</p>
<p>　　Type t = tc.GetType();//获得该类的Type</p>
<p>　　//再用Type.GetProperties获得PropertyInfo[],然后就可以用foreach 遍历了</p>
<p>　　foreach (PropertyInfo pi in t.GetProperties())</p>
<p>　　{</p>
<p>　　object value1 = pi.GetValue(tc, null));//用pi.GetValue获得值</p>
<p>　　string name = pi.Name;//获得属性的名字,后面就可以根据名字判断来进行些自己想要的操作</p>
<p>　　//获得属性的类型,进行判断然后进行以后的操作,例如判断获得的属性是整数</p>
<p>　　if(value1.GetType() == typeof(int))</p>
<p>　　{</p>
<p>　　//进行你想要的操作</p>
<p>　　}</p>
<p>　　}</p>
<p>　　注意:</p>
<p>　　必须要设置了get 和set方法的属性,反射才能获得该属性</p>
<p>　　 代码如下:</p>
<p>　　public int Pid</p>
<p>　　{</p>
<p>　　get { return pid; }</p>
<p>　　set { pid = value; }</p>
<p>　　}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:21:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8d%e5%b0%84/" title="反射">反射</a>, <a href="https://www.iamivan.net/tag/%e9%81%8d%e5%8e%86%e5%b1%9e%e6%80%a7/" title="遍历属性">遍历属性</a>, <a href="https://www.iamivan.net/tag/propertyinfo/" title="PropertyInfo">PropertyInfo</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8d%e5%b0%84%e5%ae%9e%e4%be%8b%e5%8c%96%e5%af%b9%e8%b1%a1/" title="反射实例化对象">反射实例化对象</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7%e9%81%8d%e5%8e%86/" title="属性遍历">属性遍历</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#中使用反射遍历一个对象属性及值的小技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1nkOb.html" rel="bookmark">JS中的hasOwnProperty&lpar;&rpar;和isPrototypeOf&lpar;&rpar;属性实例详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两个属性都是Object.prototype所提供:Object.prototype.hasOwnProperty()和Object.prototype.isPropertyOf() 先讲解hasOwnProperty()方法和使用.在讲解isPropertyOf()方法和使用 看懂这些至少要懂原型链 一.Object.prototype.hasOwnProperty() 概述 hasOwnProperty()方法用来判断某个对象是否含有指定的自身属性 语法 obj.hasOwnPropert			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn88y2b.html" rel="bookmark">js基础之DOM中document对象的常用属性方法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				-----引入 每个载入浏览器的 HTML 文档都会成为 Document 对象. Document 对象使我们可以从脚本中对 HTML 页面中的所有元素进行访问. 属性 1  document.anchors  返回对文档中所有 Anchor 对象的引用.还有document.links/document.forms/document.images等 2  document.URL       返回当前文档的url 3  document.title       返回当前文档的标题 4  do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPx7DAp.html" rel="bookmark">js for遍历对象属性和值的方法介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例子  代码如下 复制代码 for(var prop in ob){             alert(prop+&quot; : &quot;+ob[prop]);   } 一个是通过for循环来输出,一个则是通过for--in.  代码如下 复制代码 var len = obj.length; for(var i=0; i&lt;len; i++){ console.log(obj[i]); } 第二个则是for in  代码如下 复制代码 /* * javascript用来遍历指定对象所有的属性名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M00R6M.html" rel="bookmark">web设计中的网页表单关于编码设计的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址: http://www.noupe.com/design/tips-for-coding-and-designing-usable-web-forms.html 备注: 关于label和tag,在中文中都翻译成标签,而下文中出现的标签,都是对label的翻译,比如&quot;用户名&quot;+输入框, 这里的&quot;用户名&quot;项在英文中是label,约定翻译为标签 页面表单已经是web设计中讨论最多的元素,已经超过10年了.我们无法避免.Call-to-action(一般翻译为&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE9VWb.html" rel="bookmark">在Sql中统计某个区段值的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  今天在帮客户做一些统计,需要按照某个区段对数据进行统计,于是上网搜索了一下,结果没有发现比较满意的,最接近的是 http://bbs.csdn.net/topics/70184424 中7楼的答案,但这个统计不能指定区段,于是自己琢磨了一下,写了这么个语句: declare @tb table(id int identity(1,1),num int) insert into @tb(num) values(1),(10),(20),(25),(12),(15),(13),(22),(5),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlm71p.html" rel="bookmark">Python中函数的多种格式和使用实例及小技巧&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里先解释一下几个概念 - 位置参数:按位置设置的参数,隐式用元组保存对应形参.平时我们用的大多数是按位置传参.比如有函数def func(a,b,c),调用func(1,2,3).即a=1,b=2,c=3 - 关键字参数:可以通过关键字设置参数,不用关心参数位置,隐式用字典保存形参.比如有函数def func(a,b,c),调用func(b=1,c=2,a=3),即a=3,b=1,c=2 普通格式 复制代码 代码如下: def func(opt_args):     ...     retur			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXrxqp.html" rel="bookmark">利用sender的Parent获取GridView中的当前行&lpar;获取gridview的值&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取GridView当行有好几个方法: 1 加RowCommand事件中,判断请求的发出按钮控件名,根据传递的参数来获取当前行中我们需要的参数.2 GridView设置datakeynames方式. 以上方法实现不再累赘. 今天给大家介绍一种最方便,也最满足日常思维的好办法:采用控件事件的sender的Parent来获取cell对象,再取cell的上级对象,也就是row对象了.简单吧! 示例如下:在第三列中放了一个模板列,放入了一个CheckBox,想法是在选中时,设置第四列Lable状态标识为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ1Jkvp.html" rel="bookmark">ashx中使用session的方法&lpar;获取session值&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WEB开发,在一般处理程序中,很容易得到 Request和Response对象,如: 复制代码 代码如下: HttpRequest _request = context.Request; HttpResponse _response = context.Response; 但是要得到 Session的值就没有那么简单了. 比如如果要在ashx得到保存在Session中的登录用户信息 Session[&quot;LoginUser&quot;] 如果仅仅使用 context.Session[&quot;Lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGwNOlz.html" rel="bookmark">django模型中的字段和model名显示为中文小技巧分享&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单方法: models.py 复制代码 代码如下: class IceCreamBar(models.Model):     title =     models.CharField(max_length=200,db_index=True,verbose_name=&quot;名称&quot;)         shell = models.CharField(max_length=100,verbose_name='外皮')         filling = models.CharField(ma			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrXlvz.html" rel="bookmark" class="title">PhotoShop调出外景美女唯美韩系色调效果教程</a>
					<div>
						==分析:韩风的唯美色看起来浅浅淡淡,带着一种柔和色彩的视觉效果,所以我们着重从这两个点入手== 原图: 效果: 步骤1:打开原图,ctrl+j得到图层1 步骤2:给人物进行提亮和适当美肤,眠懒得要命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgZgEb.html" rel="bookmark" class="title">ASP&period;NET 清除 HTML 标记函数</a>
					<div>
						实际需要写的一个 ASP.NET 清除 HTML 标记的函数,给大家一起学习一下,相信大家都能看懂. 实际需要写的一个 ASP.NET 清除 HTML 标记的函数,给大家一起学习一下,相信大家都能看懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZkZab.html" rel="bookmark" class="title">高手支招ASP及Access的安全隐患及对策</a>
					<div>
						随着Internet的发展,Web技术日新月异.继通用网关接口(CGI)之后,&quot;ASP&quot;作为一种典型的服务器端网页设计技术,被广泛地应用在网上银行.电子商务.搜索引擎等各种互联网应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3P1wM.html" rel="bookmark" class="title">Photoshop CS5图片合成&colon;拯救地球特效</a>
					<div>
						提示:本实例在CS5完成 最终效果 用到的素材: 打开土地素材,首先用&quot;快速选择工具&quot;选中天空 选择&quot;调整边缘&quot;选项,将&quot;平滑&quot;参数设为27 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKr95z.html" rel="bookmark" class="title">Use Orastress&excl; to test your database</a>
					<div>
						原文链接: http://www.eygle.com/special/Use.Orastress.2.Test.Oracle.db.htm    Orastress!的作者是Geoff Ingram, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKNnBM.html" rel="bookmark" class="title">Win7系统桌面图标有白底怎么办</a>
					<div>
						   Win7系统桌面图标有白底怎么办 1.使用快捷键WIN+R唤出运行窗口,然后输入 CMD 确定即可打开命令提示符; 2.然后在命令提示符中依次执行以下命令: taskkill /im explo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRr3ep.html" rel="bookmark" class="title">WPS文字怎样快速输入生僻字</a>
					<div>
						  1.例如要输入&quot;昗&quot;,我们现在WPS文字中输入日,选中汉字,点击菜单栏--插入--符号. 2.将下方的来自选择为简体中文GB2312(十六进制). 3.此时会快速定位到日字.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArV33p.html" rel="bookmark" class="title">PS教程 Photoshop制作圆形简洁开关图标</a>
					<div>
						  想要自己用photoshop设计出一个圆形简介开关,那么就一起来看看下面这个教程吧,制作之前我们先找一些实物照片来分析一下开关的质感,色彩表现等.然后分解开关,了解它的结构.再设定材质为塑料,设定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Kx9M.html" rel="bookmark" class="title">使用稻草人便民工具快捷工具快速管理PC</a>
					<div>
						  在Windows操作系统中,大量的设置按钮,有时候会让你头昏眼花,即是当你需要针对性地去查找某项设置,对计算机进行需要的调整时,要花费比较多的时间是一件非常麻烦的事情.稻草人便民工具作为一款人们生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3078M.html" rel="bookmark" class="title">win7系统扫描仪在哪？win7扫描仪在哪打开？</a>
					<div>
						  win7系统扫描仪在哪?win7扫描仪在哪打开?自从XP停止服务之后,很多用户都换上了win7系统,虽然win7系统早已被大部分用户所熟悉,但是一些小的设置方面还是需要了解一下的,比如很多时候我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP84X8p.html" rel="bookmark" class="title">foxmail怎么注册邮箱</a>
					<div>
						  1.首先登录我们的QQ邮箱,点击设置按钮,切换到账户选项卡,如图所示: 2.然后点击注册foxmail邮箱账号的按钮,如图所示: 3.输入要注册的邮箱账号,并再次输入确定然后点击下一步的按钮 然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBlkVz.html" rel="bookmark" class="title">西部数据硬盘维修WD盘ROM写死又没有编程器的回写方法</a>
					<div>
						  西数硬盘25PROM写死后又没有编程器的情况下回写方法: 找一个希捷的板,最好是S15的板(本来带ROM的),没有的话用其他板也可以,但是注意要加一个4.7K电阻在主控的第2脚就可以写了. 1.把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW9dJp.html" rel="bookmark" class="title">移动硬盘不显示盘符怎么办？</a>
					<div>
						  移动硬盘不显示盘符怎么办?         目前使用的绝大多数移动硬盘都是USB接口的,属于即插即用类型,与U盘类似,人们经常使用USB设备也都可能会遇到无法识别移动设备的情况,这个时候需要才用排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq84WOb.html" rel="bookmark" class="title">jsoup解析网页时&OpenCurlyDoubleQuote;www&rdquo;变成&OpenCurlyDoubleQuote;m&rdquo;的问题</a>
					<div>
						问题描述 jsoup解析网页时&quot;www&quot;变成&quot;m&quot;的问题 1C Document doc = Jsoup.connect(website).get();其中 w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPaeZp.html" rel="bookmark" class="title">eclipse运行报findlibrary returned null</a>
					<div>
						问题描述 eclipse运行报findlibrary returned null 解决方案 lib jar包没有放入到指定位置 解决方案二: 看下是不是缺少什么jar包造成的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QDBAp.html" rel="bookmark" class="title">我的多年上云之路</a>
					<div>
						上云之路艰辛而漫长 初识 多年前,当初还在上初中,对互联网的了解才刚刚从课本.以及老师的口中知道,原来互联网这么丰富,可以查阅资料可以下载游戏,当时语文课要查找诗词的翻译,通过搜索看到好多的站点,打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3AlPz.html" rel="bookmark" class="title">link中有几种释放对象的手段？除了clos&lpar;&rpar; dispos&lpar;&rpar; usin 析构函数还有哪些？</a>
					<div>
						问题描述 link中有几种释放对象的手段?除了clos() dispos() usin 析构函数还有哪些? link中有几种释放对象的手段?除了clos() dispos() usin 析构函数还有哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7y5Kz.html" rel="bookmark" class="title">事的预见性</a>
					<div>
						背景: 今天帮同事老范,帮公积金转移手续,需要去人力,找小明开个条子.对于人力,我只是了解,对其中几个挺面熟,但分不清名字,所以不知道小明到底是谁. 过程: 我直奔人力而去,找到一个很面熟的人力A问道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAa4EM.html" rel="bookmark" class="title">遭受StopBadware &OpenCurlyDoubleQuote;恶意软件网站&rdquo;警告后的处理经验</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 20天前,我们网站在google搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwG6KM.html" rel="bookmark" class="title">RTMP 协议学习总结</a>
					<div>
						RTMP协议是一个互联网TCP/IP五层体系结构中应用层的协议.RTMP协议中基本的数据单元称为消息(Message).当RTMP协议在互联网中传输数据的时候,消息会被拆分成更小的单元,称为消息块(C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVx5Ob.html" rel="bookmark" class="title">【原】一张图片优化5K的带宽成本</a>
					<div>
						上周,我参加了公司的一门课程&lt;网站性能优化&gt;,讲师提出了一个问题:一张图片优化后减少5K,1年内可以大概省下多少宽带成本呢?非常好奇,仔细听完讲师分析,计算出来的数据让小伙伴们都惊呆了,仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmNWvz.html" rel="bookmark" class="title">Shared Preferences KEY&lowbar;FIRST&lowbar;RUN 不能在 android 1&period;6上运行</a>
					<div>
						问题描述 Shared Preferences KEY_FIRST_RUN 不能在 android 1.6上运行 我使用下面的代码来检查应用程序是否是第一次运行: SharedPreferences  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r8Yrp.html" rel="bookmark" class="title">sql注入攻击</a>
					<div>
						SQL攻击(SQL injection,台湾称作SQL资料隐码攻击),简称注入攻击,是发生于应用程序之数据库层的安全漏洞.简而言之,是在输入的字符串之中注入SQL指令,在设计不良的程序当中忽略了检查, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBEwZM.html" rel="bookmark" class="title">怎么在网页中添加背景音乐  网页中添加音乐</a>
					<div>
						方法一 插入代码 代码如下:  代码如下 复制代码 &lt;embed autostart=&quot;true&quot; hidden=&quot;true&quot; loop=&quot;tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWmVEM.html" rel="bookmark" class="title">java 快捷操作Properties 辅助类</a>
					<div>
						我们在操作Properties 时候一般都是按照键值来操作,但是如果我们在操作一个复杂 的Properties 时候这样先进行很多操作就显得累赘.比如我们想获取Spring Boot 的 Proper ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqRLJp.html" rel="bookmark" class="title">《ADOBE PHOTOSHOP CS5标准培训教材》&mdash;第1课1&period;1节基本概念</a>
					<div>
						1 基础知识 ADOBE PHOTOSHOP CS5标准培训教材 学习要点: 掌握Photoshop中的常用术语.概念及其主要功能 掌握Photoshop中常用的图像模式及使用范围 掌握Photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy2w4z.html" rel="bookmark" class="title">PuTTY&sol;终端使用复制、粘贴</a>
					<div>
						Putty鼠标按钮选项 通过鼠标按钮选项可以控制鼠标来进行复制.粘贴操作,选项包括: 1.Windows选项: 2.混合模式(系统默认选项): 3.Xterm模式. 以上是三种模式选项的简单介绍,下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnABoM.html" rel="bookmark" class="title">C&num;sql的添加、修改、删除以及即时刷新？</a>
					<div>
						问题描述 [img=http://sz.photo.store.qq.com/http_imgload.cgi?/rurl2=748ba35fd3f0024cc89efb5df42872280834d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj4y0M.html" rel="bookmark" class="title">Windows下mysql自动备份的最佳方案</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网上有很多关于window下Mys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeY1ZM.html" rel="bookmark" class="title">大家谈一下delphi &plus;erlang开发三层</a>
					<div>
						问题描述 最近想把公司的二层系统改成三层,想用erlang来做服务器.网上只能找到周爱民&lt;&lt;erlang in delphi&gt;&gt;那点资料.(估计那家伙也在研究这方面的东西,但就 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
